# Copyright (C) 2021, KylinSoft Co., Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
from distutils import command
# [OK]为修复成功
# 执行修复脚本权限需要root权限执行

import os

def fix_high_risk_port(port):
    command="sudo iptables -A INPUT -p tcp --dport " + port + " -j DROP"
    os.system(command)
    print("[OK] "+port + " fix pass")

if __name__ == '__main__':
    # 文件权限检查
    fix_high_risk_port("21")
    fix_high_risk_port("23")
    fix_high_risk_port("25")
    fix_high_risk_port("111")
    fix_high_risk_port("427")